Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkLineSource Class Reference

`#include <vtkLineSource.h>`

Inheritance diagram for vtkLineSource:

[legend]
Collaboration diagram for vtkLineSource:

[legend]
List of all members.

## Detailed Description

create a line defined by two end points

Date:
  2002/01/22 15:29:25

Revision:
  1.41

vtkLineSource is a source object that creates a polyline defined by two endpoints. The number of segments composing the polyline is controlled by setting the object resolution.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (82%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkLineSource.cxx)`
  - .`h` (`/Graphics/vtkLineSource.h)`

Examples:
  vtkLineSource (Examples)

Tests:
  vtkLineSource (Tests)

Definition at line 48 of file vtkLineSource.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetPoint1 (float, float, float)
virtual void | SetPoint1 (float[3])
virtual float * | GetPoint1 ()
virtual void | GetPoint1 (float data[3])
virtual void | SetPoint2 (float, float, float)
virtual void | SetPoint2 (float[3])
virtual float * | GetPoint2 ()
virtual void | GetPoint2 (float data[3])
virtual void | SetResolution (int)
virtual int | GetResolution ()
## Static Public Methods
vtkLineSource * | New ()
int | IsTypeOf (const char *type)
vtkLineSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkLineSource (int res=1)
| ~vtkLineSource ()
void | Execute ()
## Protected Attributes
float | Point1 [3]
float | Point2 [3]
int | Resolution

## Member Typedef Documentation

typedef vtkPolyDataSource vtkLineSource::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 52 of file vtkLineSource.h.

## Constructor & Destructor Documentation

vtkLineSource::vtkLineSource | ( | int | res = 1 | ) | `[protected]`

vtkLineSource::~vtkLineSource | ( |  | ) | `[inline, protected]`

| Definition at line 75 of file vtkLineSource.h.

## Member Function Documentation

vtkLineSource* vtkLineSource::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkLineSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkLineSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkLineSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkLineSource* vtkLineSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkLineSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

virtual void vtkLineSource::SetPoint1 | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set position of first end point.

virtual void vtkLineSource::SetPoint1 | ( | float | [3] | ) | `[virtual]`

| Set position of first end point.

virtual float* vtkLineSource::GetPoint1 | ( |  | ) | `[virtual]`

| Set position of first end point.

virtual void vtkLineSource::GetPoint1 | ( | float | data[3] | ) | `[virtual]`

| Set position of first end point.

virtual void vtkLineSource::SetPoint2 | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set position of other end point.

virtual void vtkLineSource::SetPoint2 | ( | float | [3] | ) | `[virtual]`

| Set position of other end point.

virtual float* vtkLineSource::GetPoint2 | ( |  | ) | `[virtual]`

| Set position of other end point.

virtual void vtkLineSource::GetPoint2 | ( | float | data[3] | ) | `[virtual]`

| Set position of other end point.

virtual void vtkLineSource::SetResolution | ( | int |  | ) | `[virtual]`

| Divide line into resolution number of pieces.

virtual int vtkLineSource::GetResolution | ( |  | ) | `[virtual]`

| Divide line into resolution number of pieces.

void vtkLineSource::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkLineSource::Point1[3]`[protected]`

| Definition at line 78 of file vtkLineSource.h.

float vtkLineSource::Point2[3]`[protected]`

| Definition at line 79 of file vtkLineSource.h.

int vtkLineSource::Resolution`[protected]`

| Definition at line 80 of file vtkLineSource.h.

The documentation for this class was generated from the following file:

- Graphics/vtkLineSource.h